---
- name: Install galaxy with docker
  hosts: localhost
  gather_facts: true
  become: yes
  tasks:

    - name: Install the packages
      package:
        name:
          - docker.io
          - curl
        state: present

    - name: Creates directory
      file:
        path: /galaxy_storage/
        state: directory


    - name: Create nginx location block
      copy:
        src: galaxy.conf
        dest: /etc/nginx/app-location-conf.d/galaxy.conf
        mode: 0644

    - name: Restart nginx
      service:
        name: nginx
        state: restarted

    - name: Run docker
      command: docker run -d -p 8080:80 --mount type=bind,source=/galaxy_storage/,target=/export/  -e "GALAXY_CONFIG_BRAND='SURF GALAXY'" bgruening/galaxy-stable 


    # - name: Run docker container from image
    #   docker_container:
    #     name: src_container
    #     image: bgruening/galaxy-stable 
    #     volumes: /galaxy_storage/:/export/
    #     ports: "443:80"
    #     env:
    #       GALAXY_CONFIG_BRAND: 'SURF GALAXY'



    # - name: Run docker container from image
    #   docker_container:
    #     name: src_container
    #     image: bgruening/galaxy-stable 
    #     mounts:
    #     - source: /galaxy_storage/
    #       target: /export/
    #       read_only: no
    #       type: bind
    #     ports: "443:80"
    #     env:
    #       GALAXY_CONFIG_BRAND: 'SURF GALAXY'

    - name: If the system reboots, reconnect to it to finish the playbook
      wait_for_connection:
        timeout: 300